# Living Together

An art interactive works for graduation design.

This is my graduation project.

## 1. The meaning of the topic

### 1.1 Problem introduction

There are many spontaneous swarm phenomena in nature.

For example, geese lined up in human characters, intricate fish schools, meandering ant colonies [1]...

Nature speaks the power of the group in its own unique language all the time.

While feeling the power of nature, we can't help but have such questions.

> a) Why group? \
> b) What drives the clustering phenomenon? \
> c) What can we learn from observing crowd phenomena?

This topic is devoted to studying the phenomenon of swarms in nature, discussing the inner connection between swarms and symbiosis, and finally trying to bring the wisdom of swarms into practical problems.

### 1.2 Inspirational meaning
Any creature has its own intelligence, even if its existence is minimal.

If an ant is said to be small, its behavior is single, and it can be ignored, then the intricate underground palace is built by such small ants.

For 14 million years, nature is like a wise old man, tirelessly guiding the progress of human science and technology.

This topic presents the group phenomenon in nature and the behavior of group system through dynamic graphics, providing inspiration and inspiration to natural science researchers.

### 1.3 Design study
Groups in nature have their own laws and orders, which originate from the most primitive beauty.

In design, the arrangement and combination of graphics can also produce aesthetics. Is there a natural connection between the order of graphics and the order of groups?

This project attempts to use digital imaging technology to apply the order of groups in nature to design graphics to explore the most primitive and bottom-level beauty.

### 1.4 The meaning of communication
Over a long period of evolution, human beings have developed power and intelligence that no other species has. However, great humans often feel superior to other species, and of course, this is wrong [2].

This topic will show the power of the group in nature and the wisdom of the group to the experiencers, and call on everyone to love life and respect every intelligent creature.

## 2. Briefly describe the level of the subject in this field and the current domestic and foreign design research trends

### 2.1 The research level of the subject
The 21st century is the century of information interconnection, and as the visual basis for human perception of everything in the world, images are an important way and means for human beings to obtain information, express information and transmit information.

Usually, what people directly obtain from nature are analog images, but in order to facilitate computer calculation and processing of images, they must be converted into digital images. [3]

This subject attempts to parameterize and digitize the laws of natural things to lay a foundation for subsequent research and dissemination.

### 2.2 Domestic design research trends

The domestic "digital fusion media" promotes the development of the digital imaging industry by "combining art and technology" and using big data and cloud computing, and promotes the research progress of graphic image design.

Other domestic researches on graphic image design are not yet mature and need more exploration and innovation.

Most of the domestic research is the application and expansion of natural science, and there is very little research on graphic design.

### 2.3 Development of foreign design research

Some independent studios abroad have tried digital image design.

Breed Hive collects free digital artworks, mostly abstract art. They use digital video art to recreate the images in the artist's head and present sophisticated visual effects.

## 3. The main theoretical basis for the design and research implementation plan (thesis)

### 3.1 Properties and characteristics of groups

> a) Individual behaviors in groups are often single, but groups composed of single individuals often have extremely complex behaviors. \
> b) Groups are born from chaos and disorder and will eventually go to chaos and disorder. \
> c) Each member of the group has common characteristics, behaviors and goals. \
> d) The formation of groups is spontaneous and self-organizing. \
> e) The types of groups are diverse and the structure is unstable. \
> f) The way of information exchange among members in a group is often of a diversified nature. \
> g) The group has the binary property of both globality and locality.

### 3.2 Pros and cons of groups
 
#### 3.2.1 The benefits of groups in nature

> a) Helps to avoid predators \
> b) more efficient access to resources \
> c) Facilitate the exchange of information \
> d) More breeding opportunities

#### 3.2.2 The disadvantages of groups in nature

> a) may lead to the spread of disease \
> b) Causes competition for survival resources within the group \
> c) It is easy to cause conflicts within the population \
> d) It is easy to reveal whereabouts and be hunted and killed
 
### 3.3 Mathematical model

With the advancement of human science and technology, optimization models and theories are increasingly being perfected and applied in people's lives.

Many of these models are inspired by nature.

In the past few years, a large number of swarm intelligence optimization algorithms have been proposed, such as ant colony algorithm, artificial bee colony algorithm, particle swarm algorithm, and firefly algorithm, etc. [4]...

This topic will be researched on the basis of the development of natural science, and will be discussed in the field of design.

### 3.4 Real-time imaging technology

This subject will implement a 3D rendering engine based on OpenGL ES and GLSL to present high-performance real-time images [5].

This topic uses Electron, TypeScript, NodeJS to design desktop applications and build web applications.

This project attempts to use Leap Motion and Kinect bone gesture recognition technology to realize on-site interactive devices.

## 4. Features and innovations

### 4.1 Discipline innovation

The research content of this project involves interdisciplinary fields, and is committed to breaking the barriers between natural science and design.

In today's era, we need more rational design and more perceptual research.

When reason and sensibility collide, there may be a different landscape.

Interdisciplinary knowledge used in this topic.

> a) Use mathematical modeling to abstract the laws of groups into mathematical models. \
> b) Simulation programming using computer science. \
> c) Graphical rendering using computer graphics. \
> d) Graphical research using design.

### 4.2 Concept innovation

This subject uses a new perspective to look at nature and experience the process of human beings acquiring knowledge from nature, trying to find design inspiration from nature.

### 4.3 Design Innovation

This project utilizes advanced science and technology and adopts a new interactive form to give viewers an immersive experience.

Let the viewer experience the beauty of harmony of all things.

## 5. References
> [1] Li Baoguo, Hou Rong, Zhang He, Chen Guoliang, Fang Gu. Research progress and prospect of animal behavior and behavioral ecology in China [J]. Journal of Animal Science, 2021, 41(05): 525-536. DOI: 10.16829/j.slxb.150529. \
> [2] Wang Jisheng. Learning from nature makes human beings the spirit of all things [N]. Guangming Daily, 2001-03-29 (C02). DOI: 10.28273/n.cnki.ngmrb.2001.000450. \
> [3] Shi Guangtian. The Complete Works of Chinese Art and Design Classification, Digital Image Research [M]. Liaoning Fine Arts Publishing House, 2014. \
> [4] An Jiale, Liu Xiaonan, He Ming, Song Huichao. Overview of Quantum Swarm Intelligent Optimization Algorithms [J/OL]. Computer Engineering and Applications: 1-15 [2021-12-12]. \
> [5] Luo Ren, Li Zixuan. 3D real-time rendering engine based on OpenGL [J]. Information and Computer (Theoretical Edition), 2021, 33(18): 112-115.